> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate reseller barcode

> Validates a reseller's barcode and checks if it's valid and swappable.



## OpenAPI

````yaml get /resellers/validate
openapi: 3.0.0
info:
  title: Reseller API
  version: 1.0.0
  description: API for validating resellers using a barcode
servers:
  - url: https://api-alpha.fourvenues.com
    description: Alpha
  - url: https://api.fourvenues.com
    description: Production
security: []
paths:
  /resellers/validate:
    get:
      summary: Validate reseller barcode
      description: Validates a reseller's barcode and checks if it's valid and swappable.
      parameters:
        - name: barcode
          in: query
          required: true
          schema:
            type: string
          description: The barcode (qrCode) to be validated
      responses:
        '200':
          description: Successful validation
          headers:
            Content-Type:
              description: Response content type
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: abcdefghijk1234567890
                  barcode:
                    type: string
                    example: ABCD1234
                  valid:
                    type: boolean
                    example: true
                  swappable:
                    type: boolean
                    example: true
                  event:
                    type: object
                    properties:
                      id:
                        type: string
                        example: abcdefghijk1234567890
                      name:
                        type: string
                        example: Saturdays at Ginger Klub
                      date_start:
                        type: string
                        format: date-time
                        example: '2024-02-29T23:00:00.000Z'
                      date_end:
                        type: string
                        format: date-time
                        example: '2024-03-01T06:30:00.000Z'
                      date_only:
                        type: boolean
                        example: false
                  type:
                    type: object
                    properties:
                      id:
                        type: string
                        example: abcdefghijk1234567890
                      name:
                        type: string
                        example: Entrada + 1 copa
                      date_start:
                        type: string
                        format: date-time
                        example: '2024-01-30T18:15:00.000Z'
                      date_end:
                        type: string
                        format: date-time
                        example: '2024-01-30T18:30:00.000Z'
                      date_only:
                        type: boolean
                        example: false
                      price:
                        type: number
                        format: float
                        example: 15
                      service_fee:
                        type: number
                        format: float
                        example: 1.2
                      currency:
                        type: string
                        example: EUR
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  valid:
                    type: boolean
                    example: false
                  swappable:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: RESELL_NOT_ALLOWED
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                type: object
                properties:
                  valid:
                    type: boolean
                    example: false
                  swappable:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: UNAUTHORIZED
        '404':
          description: Reseller not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  valid:
                    type: boolean
                    example: false
                  swappable:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: RESELL_NOT_ALLOWED
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````